import { Construct } from 'constructs';
import { Connections, IConnectable, IVpc, SubnetSelection } from 'aws-cdk-lib/aws-ec2';
import { IClusterEngine, ServerlessCluster, ServerlessClusterProps, ServerlessScalingOptions } from 'aws-cdk-lib/aws-rds';
import { ISecret } from 'aws-cdk-lib/aws-secretsmanager';
import { RemovalPolicy } from 'aws-cdk-lib';
export interface ITemporalDatastore extends IConnectable {
    readonly plugin: 'mysql' | 'postgres' | 'cassandra' | 'elasticsearch';
    readonly host: string;
    readonly port: number;
    readonly secret: ISecret;
}
export interface IAuroraServerlessTemporalDatastoreProps {
    readonly engine: IClusterEngine;
    readonly vpc: IVpc;
    readonly vpcSubnets?: SubnetSelection;
    readonly scaling?: ServerlessScalingOptions;
    readonly removalPolicy?: RemovalPolicy;
    readonly otherServerlessClusterProps?: Partial<Omit<ServerlessClusterProps, 'engine' | 'vpc' | 'scaling'>>;
}
export declare class AuroraServerlessTemporalDatastore extends Construct implements ITemporalDatastore {
    readonly databaseCluster: ServerlessCluster;
    constructor(scope: Construct, id: string, props: IAuroraServerlessTemporalDatastoreProps);
    readonly plugin = "mysql";
    get host(): string;
    get port(): number;
    get secret(): ISecret;
    get connections(): Connections;
}
