"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuroraServerlessTemporalDatastore = void 0;
const constructs_1 = require("constructs");
const aws_rds_1 = require("aws-cdk-lib/aws-rds");
const aws_cdk_lib_1 = require("aws-cdk-lib");
class AuroraServerlessTemporalDatastore extends constructs_1.Construct {
    constructor(scope, id, props) {
        super(scope, id);
        this.plugin = 'mysql';
        this.databaseCluster = new aws_rds_1.ServerlessCluster(this, 'ServerlessCluster', {
            engine: props.engine,
            vpc: props.vpc,
            vpcSubnets: props.vpcSubnets,
            scaling: {
                ...props.scaling,
            },
            removalPolicy: props.removalPolicy,
            deletionProtection: props.removalPolicy === aws_cdk_lib_1.RemovalPolicy.RETAIN,
            ...props.otherServerlessClusterProps,
        });
    }
    get host() {
        return this.databaseCluster.clusterEndpoint.hostname;
    }
    get port() {
        return this.databaseCluster.clusterEndpoint.port;
    }
    get secret() {
        return this.databaseCluster.secret;
    }
    get connections() {
        return this.databaseCluster.connections;
    }
}
exports.AuroraServerlessTemporalDatastore = AuroraServerlessTemporalDatastore;
//# sourceMappingURL=TemporalDatastore.js.map