"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TemporalVersion = void 0;
const aws_cdk_lib_1 = require("aws-cdk-lib");
// https://github.com/temporalio/temporal/releases
class TemporalVersion {
    constructor(version, customizations) {
        this.version = version;
        this.customizations = customizations;
        // FIXME: Assert that (if defined), repositoryBase ends with /
    }
    get containerImages() {
        const prefix = this.customizations?.repositoryBase ?? '';
        // FIXME: Rethink how we handle versionning in this class. Not all components have the same version
        return {
            temporalServer: aws_cdk_lib_1.DockerImage.fromRegistry(`${prefix}temporalio/server:${this.version}`),
            temporalAdminTools: aws_cdk_lib_1.DockerImage.fromRegistry(`${prefix}temporalio/admin-tools:${this.version}`),
            temporalWeb: aws_cdk_lib_1.DockerImage.fromRegistry(`${prefix}temporalio/web:1.14.0`),
        };
    }
    withCustomizations(customizations) {
        return new TemporalVersion(this.version, customizations);
    }
}
exports.TemporalVersion = TemporalVersion;
TemporalVersion.V1_13_0 = new TemporalVersion('1.13.0');
TemporalVersion.V1_13_1 = new TemporalVersion('1.13.1');
TemporalVersion.V1_13_2 = new TemporalVersion('1.13.2');
TemporalVersion.V1_13_3 = new TemporalVersion('1.13.3');
TemporalVersion.V1_13_4 = new TemporalVersion('1.13.4');
TemporalVersion.V1_14_0 = new TemporalVersion('1.14.0');
TemporalVersion.V1_14_1 = new TemporalVersion('1.14.1');
TemporalVersion.V1_14_2 = new TemporalVersion('1.14.2');
TemporalVersion.V1_14_3 = new TemporalVersion('1.14.3');
TemporalVersion.V1_14_4 = new TemporalVersion('1.14.4');
TemporalVersion.V1_14_5 = new TemporalVersion('1.14.5');
TemporalVersion.V1_14_6 = new TemporalVersion('1.14.6');
TemporalVersion.V1_15_0 = new TemporalVersion('1.15.0');
TemporalVersion.V1_15_1 = new TemporalVersion('1.15.1');
TemporalVersion.V1_15_2 = new TemporalVersion('1.15.2');
TemporalVersion.LATEST = TemporalVersion.V1_15_2;
//# sourceMappingURL=TemporalVersion.js.map