import { Construct } from 'constructs';
import { FileSystem } from 'aws-cdk-lib/aws-efs';
import { IVpc, SubnetSelection } from 'aws-cdk-lib/aws-ec2';
interface IEfsFileProviderProps {
    readonly vpc: IVpc;
    readonly vpcSubnets: SubnetSelection;
    readonly fileSystem: FileSystem;
    readonly rootDir: string;
}
export declare class EfsFileProvider extends Construct {
    /**
     * Returns the singleton provider corresponding to the given vpc and file system.
     */
    static getOrCreate(scope: Construct, props: IEfsFileProviderProps): string;
    private readonly provider;
    constructor(scope: Construct, id: string, props: IEfsFileProviderProps);
}
export {};
