import { Construct } from 'constructs';
import { FileSystem } from 'aws-cdk-lib/aws-efs';
import { IVpc, SubnetSelection } from 'aws-cdk-lib/aws-ec2';
interface IEfsFileProps {
    /**
     * The VPC network to place the deployment lambda handler in.
     */
    readonly vpc: IVpc;
    /**
     * Where in the VPC to place the deployment lambda handler.
     *
     * @default - the Vpc default strategy if not specified
     */
    readonly vpcSubnets?: SubnetSelection;
    /**
     * The EFS file system in which the file will be created.
     */
    readonly fileSystem: FileSystem;
    /**
     * The full path to the file.
     */
    readonly path: string;
    /**
     * The contents of the file.
     */
    readonly contents: string;
}
export declare class EfsFile extends Construct {
    constructor(scope: Construct, id: string, props: IEfsFileProps);
}
export {};
