"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminToolsLayer = void 0;
const aws_lambda_1 = require("aws-cdk-lib/aws-lambda");
const path_1 = __importDefault(require("path"));
const aws_cdk_lib_1 = require("aws-cdk-lib");
class AdminToolsLayer extends aws_lambda_1.LayerVersion {
    static getOrCreate(scope, temporalVersion) {
        const stack = aws_cdk_lib_1.Stack.of(scope);
        const id = `TemporalAdminToolsLayerV${temporalVersion.version}`;
        return stack.node.tryFindChild(id) ?? new AdminToolsLayer(stack, id, temporalVersion);
    }
    constructor(scope, id, temporalVersion) {
        super(scope, id, {
            code: aws_lambda_1.Code.fromDockerBuild(path_1.default.resolve(__dirname, 'adminToolsLayer'), {
                buildArgs: {
                    TEMPORAL_ADMIN_TOOLS_IMAGE: temporalVersion.containerImages.temporalAdminTools.image,
                },
            }),
        });
    }
}
exports.AdminToolsLayer = AdminToolsLayer;
//# sourceMappingURL=AdminToolsLayer.js.map