import { CdkCustomResourceEvent, CdkCustomResourceResponse } from 'aws-lambda';
export interface ITemporalDatabaseResourceProperties {
    readonly DatastorePlugin: 'mysql' | 'postgres' | 'cassandra' | 'elasticsearch';
    readonly DatastoreHost: string;
    readonly DatastorePort: string;
    readonly DatastoreSecretId: string;
    readonly DatabaseName: string;
    readonly SchemaType: 'main' | 'visibility';
    readonly TemporalVersion: string;
}
export interface IResolvedTemporalDatabaseResourceProps {
    readonly datastorePlugin: 'mysql' | 'postgres' | 'cassandra' | 'elasticsearch';
    readonly datastoreHost: string;
    readonly datastorePort: number;
    readonly datastoreUser: string;
    readonly datastorePassword: string;
    readonly databaseName: string;
    readonly schemaType: 'main' | 'visibility';
    readonly temporalVersion: string;
    readonly resourcePhysicalId: string;
}
export declare function onEvent(event: CdkCustomResourceEvent): Promise<CdkCustomResourceResponse>;
