import { CpuArchitecture, FargateService, Secret } from 'aws-cdk-lib/aws-ecs';
import { FileSystem } from 'aws-cdk-lib/aws-efs';
import { Construct } from 'constructs';
import { TemporalCluster } from '..';
import { DockerImage } from 'aws-cdk-lib';
import { Connections, IConnectable } from 'aws-cdk-lib/aws-ec2';
export interface ITemporalServiceMachineProps {
    readonly cpu: number;
    readonly memoryLimitMiB: number;
    readonly cpuArchitecture: CpuArchitecture;
}
export interface ITemporalServiceVolumeProps {
    name: string;
    fileSystem: FileSystem;
    volumePath: string;
    containerPath: string;
    readOnly: boolean;
}
export interface IBaseTemporalServiceProps {
    readonly image: DockerImage;
    readonly machine: ITemporalServiceMachineProps;
    readonly environement: {
        [key: string]: string;
    };
    readonly secrets?: {
        [key: string]: Secret;
    };
    readonly volumes: ITemporalServiceVolumeProps[];
    readonly exposedPorts: number[];
}
export declare abstract class BaseTemporalService extends Construct implements IConnectable {
    private cluster;
    readonly fargateService: FargateService;
    constructor(cluster: TemporalCluster, id: string, props: IBaseTemporalServiceProps);
    get connections(): Connections;
}
